[Overview][Types][Procedures and functions][Index] | Reference for unit 'exeinfo' (#rtl)

# ReadDebugLink

Read the location of a debug info filename

## Declaration

Source position: exeinfo.pp line 57

`function ReadDebugLink(`
`var e: TExeFile;`
`var dbgfn: string`
`):Boolean;`

## Arguments

`e` |  | Handle on the open application binary.
`dbgfn` |  | Name of the file with the debug information.

## Function result

True if the file with debug information was found, False if not.

## Description

ReadDebugLink examines the .gnu_debuglink section to see if the debug information is stored in an external file. If so, then the name of the file with the debug information is returned in the dbgfn parameter.

The function returns false if there is no external debug information file, or if the file with debug information does not exist. It is searched next to the binary file or in the current directory.

## See also

OpenExeFile |  | Open an executable file
CloseExeFile |  | Close a previously opened file.